# eric6.Plugins.VcsPlugins.vcsMercurial.TransplantExtension.transplant

Module implementing the transplant extension interface.

### Global Attributes

None

### Classes

Transplant | Class implementing the transplant extension interface.

### Functions

None

## Transplant

Class implementing the transplant extension interface.

### Derived from

HgExtension

### Class Attributes

None

### Class Methods

None

### Methods

Transplant | Constructor
hgTransplant | Public method to transplant changesets from another branch.
hgTransplantContinue | Public method to continue transplanting changesets from another branch.

### Static Methods

None

#### Transplant (Constructor)

Transplant(vcs)

Constructor

vcs
  reference to the Mercurial vcs object

#### Transplant.hgTransplant

hgTransplant(path)

Public method to transplant changesets from another branch.

path
  directory name of the project (string)

Returns:
  flag indicating that the project should be reread (boolean)

#### Transplant.hgTransplantContinue

hgTransplantContinue(path)

Public method to continue transplanting changesets from another branch.

path
  directory name of the project (string)

Returns:
  flag indicating that the project should be reread (boolean)

Up